package com.chenyang.nse.bussiness.entity.orm.table.core;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_MONITORDATA"
)
public class TCoreMonitordata extends TBaseEntity {
   private String taskexerecordid;
   private String sourcesuccessrow;
   private String sourcefailuresrow;
   private String targetsuccessrow;
   private String targetfailuresrow;

   public TCoreMonitordata() {
   }

   public TCoreMonitordata(String taskexerecordid, String sourcesuccessrow, String sourcefailuresrow, String targetsuccessrow, String targetfailuresrow) {
      this.taskexerecordid = taskexerecordid;
      this.sourcesuccessrow = sourcesuccessrow;
      this.sourcefailuresrow = sourcefailuresrow;
      this.targetsuccessrow = targetsuccessrow;
      this.targetfailuresrow = targetfailuresrow;
   }

   public String getTaskexerecordid() {
      return this.taskexerecordid;
   }

   public void setTaskexerecordid(String taskexerecordid) {
      this.taskexerecordid = taskexerecordid;
   }

   public String getSourcesuccessrow() {
      return this.sourcesuccessrow;
   }

   public void setSourcesuccessrow(String sourcesuccessrow) {
      this.sourcesuccessrow = sourcesuccessrow;
   }

   public String getSourcefailuresrow() {
      return this.sourcefailuresrow;
   }

   public void setSourcefailuresrow(String sourcefailuresrow) {
      this.sourcefailuresrow = sourcefailuresrow;
   }

   public String getTargetsuccessrow() {
      return this.targetsuccessrow;
   }

   public void setTargetsuccessrow(String targetsuccessrow) {
      this.targetsuccessrow = targetsuccessrow;
   }

   public String getTargetfailuresrow() {
      return this.targetfailuresrow;
   }

   public void setTargetfailuresrow(String targetfailuresrow) {
      this.targetfailuresrow = targetfailuresrow;
   }

   public String toString() {
      return "TCoreMonitordata [taskexerecordid=" + this.taskexerecordid + ", sourcesuccessrow=" + this.sourcesuccessrow + ", sourcefailuresrow=" + this.sourcefailuresrow + ", targetsuccessrow=" + this.targetsuccessrow + ", targetfailuresrow=" + this.targetfailuresrow + "]";
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.sourcefailuresrow == null ? 0 : this.sourcefailuresrow.hashCode());
      result = 31 * result + (this.sourcesuccessrow == null ? 0 : this.sourcesuccessrow.hashCode());
      result = 31 * result + (this.targetfailuresrow == null ? 0 : this.targetfailuresrow.hashCode());
      result = 31 * result + (this.targetsuccessrow == null ? 0 : this.targetsuccessrow.hashCode());
      result = 31 * result + (this.taskexerecordid == null ? 0 : this.taskexerecordid.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TCoreMonitordata other = (TCoreMonitordata)obj;
         if (this.sourcefailuresrow == null) {
            if (other.sourcefailuresrow != null) {
               return false;
            }
         } else if (!this.sourcefailuresrow.equals(other.sourcefailuresrow)) {
            return false;
         }

         if (this.sourcesuccessrow == null) {
            if (other.sourcesuccessrow != null) {
               return false;
            }
         } else if (!this.sourcesuccessrow.equals(other.sourcesuccessrow)) {
            return false;
         }

         if (this.targetfailuresrow == null) {
            if (other.targetfailuresrow != null) {
               return false;
            }
         } else if (!this.targetfailuresrow.equals(other.targetfailuresrow)) {
            return false;
         }

         if (this.targetsuccessrow == null) {
            if (other.targetsuccessrow != null) {
               return false;
            }
         } else if (!this.targetsuccessrow.equals(other.targetsuccessrow)) {
            return false;
         }

         if (this.taskexerecordid == null) {
            if (other.taskexerecordid != null) {
               return false;
            }
         } else if (!this.taskexerecordid.equals(other.taskexerecordid)) {
            return false;
         }

         return true;
      }
   }
}
